1

When I try to search for a map with the Plug In QMS (QuickMapServices) I get this answer.

Error of processing! SSLError: HTTPSConnectionPool(host=qms.nextgis.com,port=443):Max entries exceeded with url: /api/v1/geoservices?search=google(Caused by SSL Error(SSLError(1, A failure in the SSL library occurred (_ssl.c:1129))))

I already reinstalled the plugin and also installed the new QGIS version.

Any ideas?

1

1 Answer 1

2

such errors are typically related to connectivity issues on a particular machine:

  • problems with SSL certificates (misconfiguration via environment parameters, outdated/invalid certificates etc.)
  • incorrect/problematic/unset proxy, firewall, VPN settings
  • provider issues or blocking of particular IPs
  • overly protective antiviruses

Few things to check:

  • qms.nextgis.com opens fine in the regular browser on the same machine
  • proxy, if present on company network is correctly set in QGIS settings
  • try connecting the same machine via different provider (cellphone?) and see if the problem persists
  • VPN, if you have any, try to turn it off

Generally, these are not QMS issues and typically should by dealt with by your company admins.

https://github.com/nextgis/quickmapservices/issues/239#issuecomment-1316599823

1
  • 1
    Thanks for those tips! For anyone with company computers employing ZScaler it seems to block these API requests.
    – 15Step
    Commented Jan 11, 2023 at 13:23

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.